Bug 1571402 - [upstream][v2v] Create Infra Mapping Wizard does not show all Clusters/Datastores/Networks
Summary: [upstream][v2v] Create Infra Mapping Wizard does not show all Clusters/Datas...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1594930
TreeView+ depends on / blocked
 
Reported: 2018-04-24 17:15 UTC by Kedar Kulkarni
Modified: 2019-02-11 14:09 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1594930 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:09:20 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/ManageIQ miq_v2v_ui_plugin issues 244 0 None None None 2018-05-22 14:16:37 UTC

Description Kedar Kulkarni 2018-04-24 17:15:50 UTC
Description of problem:
Create Infra Mapping Wizard does not show all Clusters/Datastores/Networks when we add more than one VMware/RHV providers to ManageIQ Appliance.

Version-Release number of selected component (if applicable):
master.20180419232414_b64c360

How reproducible:
100%

Steps:

    Create a new Appliance
    Add 2 VMware providers
    Add 2 RHV providers
    Check Migration Infra Mapping wizard

Result:
Cannot see all Clusters/Networks/Datastores in the wizard.

Expected: 
Should show all the items correctly.


Additional info:

Comment 4 Ilanit Stein 2018-05-23 13:18:56 UTC
Kedar,

Thanks for addressing it to me.
I'm afraid I no longer run v2v tests, 
but it seems you've already validated this bug do not exist in the new UI.

Regarding the cluster same name uniqueness issue,
May I suggest mentioning the manageIQ provider name, aside to the cluster name. 
I think on manageIQ, separate RHV providers may have same names, but it is less common.
It is more likely that different RHV providers will have same datacenter/cluster names.

Comment 5 Brett Thurber 2018-05-30 20:27:47 UTC
Additional upstream issue merged:  https://github.com/ManageIQ/miq_v2v_ui_plugin/pull/352

Comment 11 Kedar Kulkarni 2018-06-25 15:27:39 UTC
Ad of master.20180621230811_8e109d6  I can see that the provider names are added in the Cluster/Datastore/Network source/target panes as per https://github.com/ManageIQ/miq_v2v_ui_plugin/pull/352
And I could see all the clusters/datastores/networks for each of my provider.

Comment 13 Kedar Kulkarni 2018-07-05 19:00:08 UTC
On 5.10.0.2 I could see that all Datastore/Clusters/Networks were displayed in mapping panes.


Note You need to log in before you can comment on or make changes to this bug.